import java.awt.Color;
import java.awt.Graphics;
import java.time.LocalTime;
import java.time.format.DateTimeFormatter;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class DibujoLibre {
	public static void main(String args[]) {
		// crea marco para ArcosJPanel
		JFrame marco = new JFrame("Dibujo Libre");
		marco.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		Dibujo dibujo = new Dibujo();
		DateTimeFormatter dtf2 = DateTimeFormatter.ofPattern("a");
		LocalTime localTime = LocalTime.now();
		if (dtf2.format(localTime).equals("PM")) {
			dibujo.setBackground(Color.BLACK);
		} else {
			dibujo.setBackground(Color.CYAN);
		}
		marco.add(dibujo); // agrega arcosJPanel al marco
		marco.setSize(960, 650); // establece el tamao del marco
		marco.setVisible(true); // muestra el marco
		marco.setLocationRelativeTo(null);
	} // fin de main
}

class Dibujo extends JPanel {
	DateTimeFormatter dtf2 = DateTimeFormatter.ofPattern("a");
	LocalTime localTime = LocalTime.now();

	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		if (dtf2.format(localTime).equals("PM")) {
			g.setColor(Color.WHITE);
		} else {
			g.setColor(Color.YELLOW);
		}
		g.fillOval(20, 20, 80, 80);
		g.setColor(Color.WHITE);
		int valoreX[] = { -100, 250, 600 };
		int valoreY[] = { 350, 0, 350 };
		g.fillPolygon(valoreX, valoreY, 3);
		int valoX[] = { 300, 650, 1000 };
		int valoY[] = { 350, 0, 350 };
		g.fillPolygon(valoX, valoY, 3);
		g.setColor(Color.DARK_GRAY);
		int valoresX3[] = { -100, 150, 400 };
		int valoresY3[] = { 350, 100, 350 };
		g.fillPolygon(valoresX3, valoresY3, 3);
		int valoresX[] = { 100, 350, 600 };
		int valoresY[] = { 350, 100, 350 };
		g.fillPolygon(valoresX, valoresY, 3);
		int valX[] = { 300, 550, 800 };
		int valY[] = { 350, 100, 350 };
		g.fillPolygon(valX, valY, 3);
		int vaX[] = { 500, 750, 1000 };
		int vaY[] = { 350, 100, 350 };
		g.fillPolygon(vaX, vaY, 3);
		g.setColor(Color.GREEN);
		g.fillRect(0, 350, 960, 300);
		g.setColor(Color.getHSBColor(117, 75, 13));
		g.fillRect(800, 320, 40, 100);
		g.setColor(Color.ORANGE);
		g.fillOval(770, 300, 40, 40);
		g.fillOval(770, 190, 100, 140);
		g.fillOval(750, 270, 40, 40);
		g.fillOval(745, 235, 40, 40);
		g.fillOval(750, 200, 40, 40);
		g.fillOval(770, 170, 40, 40);
		g.fillOval(805, 165, 40, 40);
		g.fillOval(835, 185, 40, 40);
		g.fillOval(845, 220, 40, 40);
		g.fillOval(845, 255, 40, 40);
		g.fillOval(835, 285, 40, 40);
		g.fillOval(820, 300, 40, 40);
		g.setColor(Color.BLUE);
		int vX[] = { 420, 455, 1200, 850 };
		int vY[] = { 350, 350, 650, 650 };
		g.fillPolygon(vX, vY, 4);
		g.setColor(Color.ORANGE);
		g.fillRect(100, 400, 350, 150);
		g.setColor(Color.LIGHT_GRAY);
		int X[] = { 150, 400, 500, 50 };
		int Y[] = { 310, 310, 400, 400 };
		g.fillPolygon(X, Y, 4);
		if (dtf2.format(localTime).equals("7:14 PM")) {
			g.setColor(Color.YELLOW);
		} else {
			g.setColor(Color.CYAN);
		}
		g.fillRect(160, 420, 80, 80);
		g.setColor(Color.black);
		g.drawRect(160, 420, 40, 40);
		g.drawRect(200, 460, 40, 40);
		g.drawRect(200, 420, 40, 40);
		g.drawRect(160, 460, 40, 40);
		g.setColor(Color.getHSBColor(117, 75, 13));
		g.fillRect(330, 420, 80, 130);
		g.setColor(Color.BLACK);
		g.drawRect(330, 420, 80, 130);
		g.fillOval(338, 470, 10, 10);
	}
}
